#****************************************************************************
#**
#**  File     :  /cdimage/units/XEL0305/XEL0305_script.lua
#**
#**  Summary  :  UEF Siege Assault Bot Script
#**
#**  Copyright © 2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TerranWeaponFile = import('/lua/terranweapons.lua')
local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
local TDFHiroPlasmaCannon = TerranWeaponFile.TDFHiroPlasmaCannon
local TIFFragLauncherWeapon = TerranWeaponFile.TDFFragmentationGrenadeLauncherWeapon

tclu0302 = Class(TWalkingLandUnit) {

    Weapons = {
        Grenade = Class(TIFFragLauncherWeapon) {},
        HiroBeam = Class(TDFHiroPlasmaCannon) {},
    },

}

TypeClass = tclu0302